#
# Conditional build:
%bcond_with	tests		# do not perform "make test"

%define	pdir	Geography
%define	pnam	Countries
Summary:	Geography::Countries - 2-letter, 3-letter, and numerical codes for countries
Summary(pl.UTF-8):	Geography::Countries - 2-, 3-literowe i numeryczne kody krajów
Name:		perl-Geography-Countries
Version:	2009041301
Release:	1%{?tld}
License:	Unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2c9ef26b46bbeca9abbca5015cc748b9
URL:		http://search.cpan.org/dist/Geography-Countries/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module maps country names, and their 2-letter, 3-letter and
numerical codes, as defined by the ISO-3166 maintenance agency, and
defined by the UNSD.

%description -l pl.UTF-8
Ten moduł odwzorowuje nazwy krajów oraz ich 2-, 3-literowe i liczbowe
kody zgodnie z definicją ISO-3166.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/Geography
%{perl_vendorlib}/Geography/*.pm
%{_mandir}/man3/*
%changelog
* Mon Apr 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Geography-Countries.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2390f7d
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 9875acd
- use generic url

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 2c8a3e5
- updated to 2009041301

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 88815b7
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8787d6d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0ff1a9b
- converted to UTF-8

* Mon Oct 17 2005 hawk <hawk@pld-linux.org> 15e9fa7
- release 3 (2 is for Ra)

* Thu Sep 22 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> afe3791
- rel 1

* Tue Mar 15 2005 Jakub Bogusz <qboosh@pld-linux.org> 47cb7cf
- added Geography dir (not used by any other package now)

* Tue Mar 15 2005 Jakub Bogusz <qboosh@pld-linux.org> 3dea2ec
- removed API docs from desc, added pl desc

* Sun Mar 13 2005 zbyniu <zbyniu@pld-linux.org> b3056c0
- md5 mismatch

* Sun Mar 13 2005 zbyniu <zbyniu@pld-linux.org> c1f717a
- initial

